FastArray (Groovy 5.0.0)

Package: org.codehaus.groovy.util

## [Java] Class FastArray

- org.codehaus.groovy.util.FastArray

- All Implemented Interfaces and Traits:
    Cloneable, Serializable

      public class FastArray
      extends Object
      implements Cloneable, Serializable

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static FastArray` | `EMPTY_LIST` |
    `int` | `size` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FastArray(int initialCapacity)`
    `FastArray()`
    `FastArray(Collection c)`
    `FastArray(Object[] objects)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `add(Object o)`
    `` | `public void` | `addAll(FastArray newData)`
    `` | `public void` | `addAll(Object[] newData, int size)`
    `` | `public void` | `addAll(List coll)`
    `` | `public void` | `clear()`
    `` | `public FastArray` | `clone()`
    `` | `public FastArray` | `copy()`
    `` | `public Object` | `get(int index)`
    `` | `public Object` | `get(int index)`
    `` | `public Object[]` | `getArray()`
    `` | `public boolean` | `isEmpty()`
    `` | `public void` | `remove(int index)`
    `` | `public void` | `set(int index, Object o)`
    `` | `public int` | `size()`
    `` | `public int` | `size()`
    `` | `public List` | `toList()`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final FastArray EMPTY_LIST

    - #### public int size

  - ### Constructor Detail

    - #### public FastArray(int initialCapacity)

    - #### public FastArray()

    - #### public FastArray(Collection c)

    - #### public FastArray(Object[] objects)

  - ### Method Detail

    - #### public void add(Object o)

    - #### public void addAll(FastArray newData)

    - #### public void addAll(Object[] newData, int size)

    - #### public void addAll(List coll)

    - #### public void clear()

    - #### @Override
      public FastArray clone()

    - #### public FastArray copy()

    - #### public Object get(int index)

    - #### @Override
      public Object get(int index)

    - #### public Object[] getArray()

    - #### public boolean isEmpty()

    - #### public void remove(int index)

    - #### public void set(int index, Object o)

    - #### public int size()

    - #### @Override
      public int size()

    - #### public List toList()

    - #### @Override
      public String toString()